package stats_api

import (
	"k8s.io/api/core/v1"
)

#CommonLabels: {
	app:     string
	release: string
	...
}

#BaseApp: {
	_CommonLabels: #CommonLabels
	_Name:         string | *"\(_CommonLabels.release)-\(_CommonLabels.app)"

	serviceAccount: v1.#ServiceAccount & {
		apiVersion: "v1"
		kind:       "ServiceAccount"
		metadata: {
			labels: {
				_CommonLabels
				...
			}
			name: _Name
		}
	}
}

#IngressGCE: {
	_CommonLabels: #CommonLabels
	_Name:         string | *"\(_CommonLabels.release)-\(_CommonLabels.app)"

	backendConfig: {
		apiVersion: "cloud.google.com/v1beta1"
		kind:       "BackendConfig"
		metadata: {
			labels: {
				_CommonLabels
				...
			}
			name: _Name
		}
	}
}
